# Generated from edn-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name edn

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: 'edn implements a reader for Extensible Data Notation by Rich Hickey.'
License: MIT
URL: https://github.com/relevance/edn-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.9.10
# BuildRequires: rubygem(pry) < 0.10
# BuildRequires: rubygem(rspec) >= 2.11.0
# BuildRequires: rubygem(rspec) < 2.12
# BuildRequires: rubygem(rantly) >= 0.3.1
# BuildRequires: rubygem(rantly) < 0.4
BuildArch: noarch

%description
'edn implements a reader for Extensible Data Notation by Rich Hickey.'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/edn.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.1-1
- Initial package
